org.h2.security.auth

## Class H2AuthConfigXml

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.h2.security.auth.H2AuthConfigXml

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler

    public class H2AuthConfigXml
    extends org.xml.sax.helpers.DefaultHandler

Parser of external authentication XML configuration file

### Constructor Summary

Constructors
Constructor and Description
`H2AuthConfigXml()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `endElement(java.lang.String uri, java.lang.String localName, java.lang.String qName)`
`H2AuthConfig` `getResult()` Returns parsed authenticator configuration.
`static H2AuthConfig` `parseFrom(java.io.InputStream inputStream)` Parse the xml.
`static H2AuthConfig` `parseFrom(java.net.URL url)` Parse the xml.
`void` `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attributes)`

### Methods inherited from class org.xml.sax.helpers.DefaultHandler

`characters, endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### H2AuthConfigXml

    public H2AuthConfigXml()

### Method Detail

#### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes attributes)
                      throws org.xml.sax.SAXException

Specified by:
  `startElement` in interface `org.xml.sax.ContentHandler`
Overrides:
  `startElement` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`

#### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String localName,
                           java.lang.String qName)
                    throws org.xml.sax.SAXException

Specified by:
  `endElement` in interface `org.xml.sax.ContentHandler`
Overrides:
  `endElement` in class `org.xml.sax.helpers.DefaultHandler`
Throws:
  `org.xml.sax.SAXException`

#### getResult

    public H2AuthConfig getResult()

Returns parsed authenticator configuration.

Returns:
  Authenticator configuration.

#### parseFrom

    public static H2AuthConfig parseFrom(java.net.URL url)
                                  throws org.xml.sax.SAXException,
                                         java.io.IOException,
                                         javax.xml.parsers.ParserConfigurationException

Parse the xml.

Parameters:
  `url` - the source of the xml configuration.
Returns:
  Authenticator configuration.
Throws:
  `javax.xml.parsers.ParserConfigurationException` - if a parser cannot be created.
  `org.xml.sax.SAXException` - for SAX errors.
  `java.io.IOException` - If an I/O error occurs

#### parseFrom

    public static H2AuthConfig parseFrom(java.io.InputStream inputStream)
                                  throws org.xml.sax.SAXException,
                                         java.io.IOException,
                                         javax.xml.parsers.ParserConfigurationException

Parse the xml.

Parameters:
  `inputStream` - the source of the xml configuration.
Returns:
  Authenticator configuration.
Throws:
  `javax.xml.parsers.ParserConfigurationException` - if a parser cannot be created.
  `org.xml.sax.SAXException` - for SAX errors.
  `java.io.IOException` - If an I/O error occurs